# 环境配置
server:
  port: 9011
  servlet:
    context-path: /api/aiwei

# condition
spel:
  scheduling: false        # 定时任务是否执行
  multiSource: false       # 是否多数据源配置

spring:
  # database
  datasource:
    hikari:
      connection-init-sql: SET NAMES utf8mb4 COLLATE utf8mb4_unicode_ci           # SqlServer, Oracle 无需设置类型
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: mu123
    url: jdbc:mysql://127.0.0.1:3306/mjava?serverTimezone=Asia/Shanghai&useUnicode=yes&characterEncoding=UTF-8&useSSL=true
  jpa:
    database: MYSQL
    database-platform: org.hibernate.dialect.MySQL57Dialect

# dingtalk
dingtalk:
  agentId: 2848797049
  appKey: dingbqy1qugrihao43dl
  appSecret: UUaTKTWgLdduHvMSl0ipm19f_PDarHLHqnpz4vFZXjkkmFNmfWuwoPF1evjIRwvd
  corpId: ding5fcad818b0d9f62c35c2f4657eb6378f
  aesKey:
  token:
  operator: "0249EDD1-754E-44C8-87F0-255B0E32021F"   # OA管理员账号

# aliwork
aliwork:
  appType: "APP_R5EBUF2FPN3Y8DRF93M4"
  systemToken: "ON566NC1VNIHPANP9TNVHB3TBIWS3E0TUZ5RLF3"

# teambition
teambition:
  AppID: 66b5cec1dbcd57b14046af05
  AppSecret: jyd7DVu3MGYwzt562qPmLAaacV65FIyQ
  TenantId: 658e7239b580fdc87e4a7ca4                # 管理后台 - 企业xx - 企业ID
  OperatorId: 667e8282df3131f8e588526e              # 公共账号, 需要有操作权限 [x]
  ApiHost: https://tbtest.awinic.com:443/gateway    # 私有部署
